Synchronize a Dynamic DNS entry
POST
/dynamic-dns/entries/{id}/sync
const url = 'https://sylve.lan:8181/api/dynamic-dns/entries/1/sync';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/dynamic-dns/entries/1/sync \ --header 'Authorization: <Authorization>'Resolve and publish the current addresses for a Dynamic DNS entry
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Dynamic DNS entry ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
consecutiveFailures
integer
createdAt
string
credentialConfigured
boolean
enabled
boolean
hostname
string
id
integer
intervalMinutes
integer
ipv4Error
string
ipv4Status
string
ipv6Error
string
ipv6Status
string
lastError
string
lastIPv4
string
lastIPv6
string
lastStatus
string
lastSuccessAt
string
lastSyncAt
string
nextRetryAt
string
provider
string
providerSettings
object
key
additional properties
string
recordType
string
sourceSettings
object
key
additional properties
string
sourceType
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "consecutiveFailures": 1, "createdAt": "example", "credentialConfigured": true, "enabled": true, "hostname": "example", "id": 1, "intervalMinutes": 1, "ipv4Error": "example", "ipv4Status": "example", "ipv6Error": "example", "ipv6Status": "example", "lastError": "example", "lastIPv4": "example", "lastIPv6": "example", "lastStatus": "example", "lastSuccessAt": "example", "lastSyncAt": "example", "nextRetryAt": "example", "provider": "example", "providerSettings": { "additionalProperty": "example" }, "recordType": "example", "sourceSettings": { "additionalProperty": "example" }, "sourceType": "example", "updatedAt": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}